Subject: Ticket Assigned - Article Feedback - When will you pick up the products I want to return?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 15 Mar 2022 16:05:05 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will you pick up the products I want to return? Feedback for:  When will you pick up the products I want to return? Your refund of SAR 20.00 for order 6126441314 will be credited in 5-7 business days. Please note, MADA card refunds can take up to 28 business days. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4016047